#!/bin/sh

PATH=/bin:/sbin:/usr/bin:/usr/sbin
DATA=/tmp/data 
SYSTEM=/tmp/system 

echo Starting $0 `date`

if [ -f ${UPDATE_MP}/tmp/nboote.bin ]
then
   echo Flashing Normal Boot Environment
   dd if=${UPDATE_MP}/tmp/nboote.bin of=/dev/mmcblk2 seek=30720 count=256 bs=512
fi

if [ -f ${UPDATE_MP}/tmp/ramdisk-adb.uimg ]
then
   echo Flashing Ramdisk
   dd if=${UPDATE_MP}/tmp/ramdisk-adb.uimg of=/dev/mmcblk2 seek=10240 count=600 bs=512
fi

/usr/bin/chgboot recovery
/usr/bin/chgboot normal

echo Done $0 `date`
